Maven依赖项-从版本管理? [英] Maven Dependency - Managed from Version?

查看:71
本文介绍了Maven依赖项-从版本管理?的处理方法,对大家解决问题具有一定的参考价值,需要的朋友们下面随着小编来一起学习吧!

问题描述

我正在我的项目中添加1.4.0版。仍然依赖关系树显示它正在回升1.2.71。我搞不懂为什么会发生这种情况,以及我们如何解决这个问题?

推荐答案

您获得的版本来自您的POM或您的父POM的<dependencyManagement>部分。

您可以通过将<dependency>条目添加到具有所需版本的`来覆盖此行为。

这篇关于Maven依赖项-从版本管理?的文章就介绍到这了,希望我们推荐的答案对大家有所帮助,也希望大家多多支持IT屋!

查看全文
登录 关闭
扫码关注1秒登录
发送“验证码”获取 | 15天全站免登陆